Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZStylePackageCreator Class Reference
The package manager system

The class eZStylePackageCreator does. More...

Inheritance diagram for eZStylePackageCreator:

## Public Member Functions
| __construct ( $id)
| finalize (&$package, $http, &$persistentData)
| packageInstallType ( $package, &$persistentData)
| packageInitialState ( $package, &$persistentData)
| packageType ( $package, &$persistentData)
| initializeCSSFile ( $package, $http, $step, &$persistentData, $tpl)
| validateCSSFile ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitCSSFile ( $package, $http, $step, &$persistentData, $tpl)
| initializeImageFiles ( $package, $http, $step, &$persistentData, $tpl)
| validateImageFiles ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitImageFiles ( $package, $http, $step, &$persistentData, $tpl)
| generatePackageInformation (&$packageInformation, $package, $http, $step, &$persistentData)
Public Member Functions inherited from eZPackageCreationHandler
| __construct ( $id, $name, $steps)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| loadStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl)
| loadStep ( $package, $http, $currentStepID, &$persistentData, $tpl, &$module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| initialChangelogEntry ( $package, $http, $step, &$persistentData, $tpl)
| createPackage (&$package, $http, &$persistentData, &$cleanupFiles, $storePackage=true)
| initializePackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageInformation ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageChangelog ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageMaintainer ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| checkPackageMaintainer ( $package, &$persistentData)
| initializePackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageThumbnail ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageCreationHandler
static | creatorLimitationList ()
static & | creatorList ( $checkRoles=false)
static | instance ( $handlerName)
| packageInformationStep ()
| packageMaintainerStep ()
| packageChangelogStep ()
| packageThumbnailStep ()
static | httpFileIsImage ( $httpFileName, &$errorList)
static | appendLicence ( $package)
Public Attributes inherited from eZPackageCreationHandler
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $LoadStepMethodMap
| $StepMap

## Detailed Description

The class eZStylePackageCreator does.

Definition at line 18 of file ezstylepackagecreator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZStylePackageCreator::__construct | ( |  | $id | ) |

Definition at line 20 of file ezstylepackagecreator.php.

References eZPackageCreationHandler\packageChangelogStep(), eZPackageCreationHandler\packageInformationStep(), eZPackageCreationHandler\packageMaintainerStep(), eZPackageCreationHandler\packageThumbnailStep(), and ezpI18n\tr().

## Member Function Documentation

## ◆ commitCSSFile()

eZStylePackageCreator::commitCSSFile | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 199 of file ezstylepackagecreator.php.

References eZMimeType\changeDirectoryPath(), eZHTTPFile\fetch(), eZMimeType\findByFileContents(), and eZSys\storageDirectory().

## ◆ commitImageFiles()

eZStylePackageCreator::commitImageFiles | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 249 of file ezstylepackagecreator.php.

## ◆ finalize()

eZStylePackageCreator::finalize | ( | & | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Finalizes the creation process with the gathered information. This is usually the function that creates the package and adds the proper elements.

Reimplemented from eZPackageCreationHandler.

Definition at line 42 of file ezstylepackagecreator.php.

References eZPackageCreationHandler\createPackage().

## ◆ generatePackageInformation()

eZStylePackageCreator::generatePackageInformation | ( | & | $packageInformation,
|  |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData
| ) |  |

Fetches the selected content classes and generates a name, summary and description from the selection.

Reimplemented from eZPackageCreationHandler.

Definition at line 256 of file ezstylepackagecreator.php.

## ◆ initializeCSSFile()

eZStylePackageCreator::initializeCSSFile | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 167 of file ezstylepackagecreator.php.

## ◆ initializeImageFiles()

eZStylePackageCreator::initializeImageFiles | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 215 of file ezstylepackagecreator.php.

## ◆ packageInitialState()

eZStylePackageCreator::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, site style packages are always stable.

Reimplemented from eZPackageCreationHandler.

Definition at line 153 of file ezstylepackagecreator.php.

## ◆ packageInstallType()

eZStylePackageCreator::packageInstallType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'import'`

Reimplemented from eZPackageCreationHandler.

Definition at line 145 of file ezstylepackagecreator.php.

## ◆ packageType()

eZStylePackageCreator::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'sitestyle'`.

Reimplemented from eZPackageCreationHandler.

Definition at line 161 of file ezstylepackagecreator.php.

## ◆ validateCSSFile()

eZStylePackageCreator::validateCSSFile | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Checks if the css file was uploaded.

Definition at line 174 of file ezstylepackagecreator.php.

References eZHTTPFile\canFetch(), eZHTTPFile\fetch(), and ezpI18n\tr().

## ◆ validateImageFiles()

eZStylePackageCreator::validateImageFiles | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Checks if the css file was uploaded.

Definition at line 223 of file ezstylepackagecreator.php.

References eZHTTPFile\canFetch(), eZMimeType\changeDirectoryPath(), eZHTTPFile\fetch(), eZMimeType\findByFileContents(), eZSys\storageDirectory(), and ezpI18n\tr().

The documentation for this class was generated from the following file:

- ezstylepackagecreator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.